*Daten generieren. 
set seed = 13. 
input program. 
+ loop #i = 1 to 300. 
     compute y = normal(1). 
-  end case. 
+ end loop. 
+ end file. 
end input program. 
EXECUTE.

* Histogramm mit Dichte von R erstellen lassen.
BEGIN PROGRAM R.
data <- spssdata.GetDataFromSPSS()
hist(data$y, freq = FALSE, breaks=10, col="grey", main="Histogramm mit Dichte", xlab=NA, ylab="Dichte")
lines(density(data$y), col="red", lwd=2)
END PROGRAM.

do if uniform(1) < 0.5.
  compute treat = 0.
else.
  compute treat = 1.
  compute y = y +1.
end if.
execute.

formats treat (f1.0).
value labels treat 0 'Kontrollgruppe' 1 'Behandlungsgruppe'.

* Zwei Histogramme bereinander mit R.
BEGIN PROGRAM R.
data <- spssdata.GetDataFromSPSS()
g0 <- data$y[data$treat==0]
g1 <- data$y[data$treat==1]
par(mfrow=c(2,1))
hist(g0, probability=TRUE, breaks=seq(-5,5,0.5), col="grey90", main="Kontrollgruppe", xlab="", ylab="Dichte")
lines(density(g0), col="red", lwd=2)
hist(g1, probability=TRUE, breaks=seq(-5,5,0.5), col="grey90", main="Behandlungsgruppe", xlab="", ylab="Dichte")
lines(density(g1), col="red", lwd=2)
par(mfrow=c(1,1))
END PROGRAM.

* Zwei Histogramme bereinander mit SPSS.
GRAPH
  /HISTOGRAM(NORMAL)=y
  /PANEL ROWVAR=treat ROWOP=CROSS.

* Populationspyramide mit SPSS.
GGRAPH
  /GRAPHDATASET NAME="graphdataset" VARIABLES=y treat MISSING=LISTWISE REPORTMISSING=NO
  /GRAPHSPEC SOURCE=INLINE.
BEGIN GPL
  SOURCE: s=userSource(id("graphdataset"))
  DATA: y=col(source(s), name("y"))
  DATA: treat=col(source(s), name("treat"), unit.category())
  COORD: transpose(mirror(rect(dim(1,2))))
  GUIDE: axis(dim(1), label("y"))
  GUIDE: axis(dim(1), opposite(), label("y"))
  GUIDE: axis(dim(2), label("Hufigkeit"))
  GUIDE: axis(dim(3), label("treat"), opposite(), gap(0px))
  GUIDE: legend(aesthetic(aesthetic.color), null())
  SCALE: cat(dim(3), include("0", "1"))
  ELEMENT: interval(position(summary.count(bin.rect(y*1*treat))), color.interior(treat))
  ELEMENT: line(position(density.normal(y*1*treat)))
END GPL.


