##############################################
# SPSS-Datei lesen
##############################################
setwd <- "U:/Eigene Dateien/R"
library(foreign)
kfa <- read.spss("kfa.sav", to.data.frame = TRUE)
attach(kfa)

##############################################
# Einfaches Streudiagramm
##############################################
plot(groesse, gewicht, main="Regression von Gewicht auf Gre",
     xlab="Gre", ylab="Gewicht", pch=19, col="red")

# Regressionsgerade ergnzen
abline(lm(gewicht ~ groesse))

# Quadratische Anpassungslinie
S <- data.frame(groesse = seq(150, 200, 1))
Modell <- lm(gewicht ~ groesse + I(groesse^2))
lines(S$groesse, predict(Modell, newdata=S))

# lines(groesse, predict(lm(gewicht~groesse+I(groesse^2))))

# Lokal optimierte Anpassung
lines(lowess(gewicht ~ groesse), lty=2, col="blue")

# Linie mit frei def. Parametern
abline(a=-90, b=0.9, col="blue")

# horizontale Linie
abline(h=68, col="brown")


##############################################
# Gruppiertes Streudiagramm
##############################################
# Vektor mit Symbolen erstellen
syms <- numeric(length(geschl))
syms[geschl=="Frau"] <- 16
syms[geschl=="Mann"] <- 5

# Vektor mit Farben erstellen
cols <- character(length(geschl))
cols[geschl=="Frau"] <- "red"
cols[geschl=="Mann"] <- "blue"

plot(groesse, gewicht, main="Regression von Gewicht auf Gre und Geschlecht",
     xlab="Gre", ylab="Gewicht", pch=syms, col=cols)

legend("bottomright", title="Gruppen", legend=c("Frau", "Mann"),
       pch=c(16,5), col=c("red", "blue"))

# Gruppenspezifische Regressionsgeraden
abline(lm(gewicht[geschl=="Frau"] ~ groesse[geschl=="Frau"]), lty = 1, col="red")
abline(lm(gewicht[geschl=="Mann"] ~ groesse[geschl=="Mann"]), lty = 2, col="blue")



