﻿* Streudiagramme mit R.

* ******************************************************************.
* Datenübergabe.
* ******************************************************************.
BEGIN PROGRAM R.
casedata <- spssdata.GetDataFromSPSS(variables=c("geschl groesse gewicht"), factorMode="levels")
attach(casedata)
END PROGRAM.

* ******************************************************************.
* Einfaches Streudiagramm.
* ******************************************************************.
BEGIN PROGRAM R.
plot(gewicht ~ groesse, main="Regression von Gewicht auf Größe",
     xlab="Größe", ylab="Gewicht", pch=19, col="red")

# Regressionsgerade ergänzen
abline(lm(gewicht ~ groesse))

# Quadratische Anpassungslinie ergänzen
Modell <- lm(gewicht ~ groesse + I(groesse^2), data=casedata)
S <- data.frame(groesse = seq(155, 190, 0.5)) # Stützstellen für die Linie
lines(S$groesse, predict(Modell, newdata=S))

# Lokal optimierte Anpassung
lines(lowess(gewicht ~ groesse), lty=2, col="blue")
END PROGRAM.

* ******************************************************************.
* Gruppiertes Streudiagramm.
* ******************************************************************.
BEGIN PROGRAM R.
syms <- numeric(length(geschl))
syms[geschl==1] <- 16
syms[geschl==2] <- 5

# Vektor mit Farben erstellen
cols <- character(length(geschl))
cols[geschl==1] <- "red"
cols[geschl==2] <- "blue"

plot(groesse, gewicht, main="Regression von Gewicht auf Größe und Geschlecht",
     xlab="Größe", ylab="Gewicht", pch=syms, col=cols)

legend("bottomright", title="Gruppen", legend=c("Frau", "Mann"),
       pch=c(16,5), col=c("red", "blue"))

# Gruppenspezifische Regressionsgeraden
abline(lm(gewicht[geschl==1] ~ groesse[geschl==1]), lty = 1, col="red")
abline(lm(gewicht[geschl==2] ~ groesse[geschl==2]), lty = 2, col="blue")
legend("bottomright", title="Gruppen", legend=c("Frau", "Mann"),
          pch=c(16,5), lty=c(1,2), col=c("red", "blue"))
END PROGRAM.



