library(ggplot2)
library(foreign)
setwd("U:/Eigene Dateien/R")

kfa <- read.spss("kfa.sav", to.data.frame = TRUE, reencode="utf-8")

# Histogramm
histo <- ggplot(kfa, aes(aergo))
histo + geom_histogram(binwidth = 1) + labs(x="rger", y="Hufigkeit")
histo + geom_histogram(binwidth = 1,colour="black", fill="lightblue") + labs(x="rger", y="Hufigkeit")

# Dichteplot
dichte <- ggplot(kfa, aes(aergo))
dichte + geom_density(fill="lightblue", size=1) + labs(x="rger", y="Dichteschtzung")

# Histogramm mit Dichte
histodichte <- ggplot(kfa, aes(aergo))
histodichte + geom_histogram(aes(y=..density..), binwidth=1, fill="gray80",colour="gray50") + geom_density(size=1,colour="gray30") + labs(x="rger", y="Dichteschtzung") + xlim(2,10)


